:root {
    --primary-color: #0977B5;
    --accent: #04375F;
    --yellow: #F7BE0D;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    transition: 300ms ease-in-out;
    box-sizing: border-box;
}

body {
    font-family: "DM Sans", sans-serif;
    background-color: #fff;
    color: var(--accent);
    margin: 0;
    padding: 0;
}

/* Utility classes */
.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
    position: absolute !important;
    width: 1px !important;
    height: 1px !important;
    padding: 0 !important;
    margin: -1px !important;
    overflow: hidden !important;
    clip: rect(0, 0, 0, 0) !important;
    white-space: nowrap !important;
    border: 0 !important;
}

.container {
    max-width: 1260px;
    margin: 0 auto;
}

.m-auto {
    margin: 0 auto;
}

.wp-block-columns.is-content-justified-left {
    justify-content: flex-start;
}

.wp-block-columns.is-content-justified-center {
    justify-content: center;
}

.wp-block-columns.is-content-justified-right {
    justify-content: flex-end;
}

.wp-block-columns.is-content-justified-space-between {
    justify-content: space-between;
}

.wp-block-columns.is-content-justified-space-around {
    justify-content: space-around;
}

/* basic style for element */
.btn-primary {
    font-size: 20px;
    font-weight: 600;
    color: #FFFFFF;
    background-color: var(--primary-color);
    border: 1px solid var(--accent);
    padding: 16px 55px;
    border-radius: 30px;
    text-decoration: none;
}

.btn-primary:hover {
    background-color: var(--accent);
}

/* Header Styles */
header.site-header {
    position: sticky;
    top: 0;
    padding: 30px 16px;
    background-color: var(--primary-color);
    z-index: 999;
}

header.site-header .navbar .inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-toggle {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: 44px;
    height: 44px;
    padding: 8px;
    border: 1px solid #fff;
    border-radius: 4px;
    background: none;
    cursor: pointer;
}

.nav-toggle.active {
    background-color: #fff;
}

.nav-toggle .nav-toggle-bar {
    width: 100%;
    height: 2px;
    background-color: #fff;
    transition: 300ms ease;
}

.nav-toggle.active .nav-toggle-bar {
    background-color: var(--primary-color);
}

.nav-toggle.active .nav-toggle-bar:nth-child(3) {
    opacity: 0;
    transform: scaleX(0);
}

.nav-toggle.active .nav-toggle-bar:nth-child(2) {
    transform: rotate(45deg) translate(7px, 7px);
}

.nav-toggle.active .nav-toggle-bar:nth-child(4) {
    transform: rotate(-45deg) translate(7px, -7px);
}

header.site-header .navbar .inner .nav-left,
header.site-header .navbar .inner .nav-right {
    display: flex;
    align-items: center;
    gap: 30px;
}

.site-logo {
    max-width: 300px;
    height: auto;
}

.search-btn {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
}

header.site-header .navbar .inner .icon-search {
    color: #fff;
    cursor: pointer;
}

.site-search-panel:not(.is-open) {
    display: none;
}

.site-search-panel {
    position: absolute;
    left: 0;
    top: 100px;
    width: 100%;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 25px 40px 5px rgb(0 0 0 / 10%);
    border-bottom: 3px solid #f7be10;
}

.site-search-panel .search-form {
    position: relative;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.site-search-panel .search-form label {
    width: 100%;
    height: auto;
    display: flex;
}

.site-search-panel .search-form label input[type="search"] {
    width: 100%;
    padding: 12px 16px;
    font-size: 16px;
    border: none;
    border-radius: 0;
    width: calc(100% - 100px);
}

.site-search-panel .search-form input[type="submit"] {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    width: fit-content;
    height: 100%;
    border: none;
    background: none;
    cursor: pointer;
    padding: 10px 30px;
    border-left: 1px solid #ccc;
    width: 100px;
}

.site-search-panel .search-form input[type="submit"]:hover {
    background-color: #ccc;
}

header.site-header .navbar .inner .desktop-menu .menu-item-has-children {
    display: flex;
    align-items: center;
    gap: 10px;
}

header.site-header .navbar .inner .desktop-menu .menu-item-has-children .submenu-icon {
    width: 10px;
    height: 10px;
    display: inline-block;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(45deg);
    margin-left: 6px;
    cursor: pointer;
}

header.site-header .navbar .inner .desktop-menu li.menu-item-has-children:not(.is-open) .sub-menu {
    display: none;
}

header.site-header .navbar .inner .desktop-menu li.menu-item-has-children.is-open .sub-menu {
    display: flex;
}

header.site-header .navbar .inner .nav-left .desktop-menu li a,
header.site-header .navbar .inner .nav-right .desktop-menu li a {
    text-decoration: none;
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    line-height: 1.2;
}

header.site-header .navbar .inner .nav-left .desktop-menu li a:hover,
header.site-header .navbar .inner .nav-right .desktop-menu li a:hover {
    text-decoration: underline;
}

header.site-header .navbar .inner .desktop-menu,
header.site-header .navbar .inner .desktop-menu .sub-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    gap: 30px;
}

header.site-header .navbar .inner .desktop-menu .sub-menu {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    position: absolute;
    top: 100%;
    background-color: var(--primary-color);
    padding: 10px 20px;
    margin-top: 10px;
    border-radius: 4px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border: 1px solid var(--accent);
}

header.site-header .navbar .inner .desktop-menu .sub-menu li {
    white-space: nowrap;
}

header.site-header .navbar .inner .desktop-menu .sub-menu li a {
    font-size: 14px;
    font-weight: 400;
}

.site-footer {
    background-color: var(--accent);
}

.site-footer .footer-main {
    padding: 50px 20px 30px;
}

.site-footer .footer-main-wrapper {
    padding: 50px 20px 30px;
}

.footer-main-inner {
    display: flex;
    gap: 150px;
    justify-content: space-between;
}

.copyright-wrapper {
    padding: 16px 20px 24px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    color: #fff;
}

.site-footer .copyright {
    font-size: 14px;

}

.footer-logo-tagline {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 370px;
}

.footer-logo-tagline a img {
    width: 100%;
    height: auto;
}

.footer-logo-tagline .footer-tagline {
    font-size: 16px;
    font-weight: 500;
    color: #fff;
}

.footer-social {
    display: flex;
    gap: 20px;
}

.footer-social a {
    color: #fff;
    font-size: 20px;
    text-decoration: none;
    transition: 300ms ease;
}

.footer-social a :hover {
    opacity: .7;
    ;
}

.footer-menu-wrapper {
    display: flex;
    gap: 100px;
}

.footer-menu-inner {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-menu-heading {
    font-size: 14px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
}

.footer-menu-inner .footer-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.footer-menu-inner .footer-menu li a {
    text-decoration: none;
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.2;
}

.footer-menu-inner .footer-menu li a:hover,
.footer-menu-inner .footer-menu li.current-menu-item a {
    text-decoration: underline;
}

@media (min-width: 768px) {
    .panel-mobile {
        display: none;
    }

    /* header.site-header .navbar {
        position: relative;
    } */
}

@media (max-width: 992px) {
    .footer-main-inner {
        flex-direction: column;
        gap: 40px;
    }
}

@media (max-width: 1024px) {
    header.site-header {
        height: 100px;
    }

    header.site-header .navbar .inner .nav-left,
    header.site-header .navbar .inner .nav-right {
        display: none;
    }

    header.site-header .navbar .inner .site-branding {
        max-width: 53vw;
    }

    header.site-header .navbar .inner .site-branding a img {
        width: 100%;
        height: auto;
    }

    header.site-header .navbar .inner .panel-mobile {
        display: flex;
        align-items: center;
        gap: 30px;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav:not(.is-open) {
        transform: translateX(-100%);
    }

    header.site-header .navbar .inner .panel-mobile .site-nav {
        transform: translateX(0);
        position: absolute;
        top: 100px;
        left: 0;
        width: 100%;
        height: calc(100vh - 100px);
        background-color: var(--primary-color);
        padding: 20px 16px 100px;
        box-sizing: border-box;
        z-index: 9999;
        transition: cubic-bezier(0.55, 0.055, 0.675, 0.19) 300ms;
        overflow-y: auto;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children {
        display: flex;
        flex-direction: column;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children .submenu-icon {
        width: 44px;
        height: 44px;
        display: inline-block;
        background-image: url("data:image/svg+xml,%3Csvg width='44' height='44' viewBox='0 0 44 44' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.2929 18.7071C13.9024 18.3166 13.9024 17.6834 14.2929 17.2929C14.6834 16.9024 15.3166 16.9024 15.7071 17.2929L22.0711 23.6569L28.435 17.2929C28.8256 16.9024 29.4587 16.9024 29.8492 17.2929C30.2398 17.6834 30.2398 18.3166 29.8492 18.7071L22.7782 25.7782C22.3877 26.1687 21.7545 26.1687 21.364 25.7782L14.2929 18.7071Z' fill='white'/%3E%3C/svg%3E%0A");
        background-position: center;
        background-repeat: no-repeat;
        background-size: 100%;
        background-color: rgb(255 255 255 / 10%);
        border-radius: 5px;
        margin-left: 6px;
        cursor: pointer;
        margin: -34px 0 0 auto;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children .sub-menu {
        list-style: none;
        padding: 20px 0 10px 10px;
        position: relative;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children .sub-menu li a {
        font-size: 20px;
        line-height: 2;
        font-weight: 400;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children:not(.is-open) .sub-menu {
        display: none;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li.menu-item-has-children.is-open .sub-menu {
        display: block;
    }

    header.site-header .navbar .inner .panel-mobile .site-nav .mobile-menu li a {
        text-decoration: none;
        color: #fff;
        font-size: 20px;
        font-weight: 600;
        line-height: 1.2;
        width: 90%;
    }

    .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
        padding: 20px !important;
    }
}

@media (max-width:768px) {
    .footer-menu-wrapper {
        flex-direction: column;
        gap: 40px;
    }
}